org.eclipse.cdt.core.language.settings.providers

## Interface IWorkingDirectoryTracker

All Known Implementing Classes:
  ErrorParserManager

    public interface IWorkingDirectoryTracker

Interface for console parsers able to track current working directory for build.

Since:
  5.4

### Method Summary

All Methods Instance Methods Abstract Methods
`URI` `getWorkingDirectoryURI()` Returns current working directory for the current build command as determined from build output.

### Method Detail

#### getWorkingDirectoryURI

    URI getWorkingDirectoryURI()

Returns current working directory for the current build command as determined from build output.

Returns:
  URI of current working directory or `null`.